/*
* Auth Check: Utilizes mysql to ensure only authorized steam ids run the game
* @author: Joseph 'Pcjoe' Florencio
* @date: 6/22/06
*/

#ifndef AUTH_CHECK_H_
#define AUTH_CHECK_H_
#pragma warning (disable:4204)

#ifdef _WIN32
#include <my_global.h>
#include <mysql.h>
#endif
class CAuthCheck
{
public:
	// Connect
	bool Connect();

	// Close Connection
	void closeConnection();
	
	// Add Log
	void addLog( const char *steamID, const char *ipAddress );

	// Is Authorized
	bool isAuthorized( const char *steamID );

private:
	#ifdef _WIN32
	MYSQL m_con;
	#endif
};

#endif
